Bug 2260407 (CVE-2024-0914) - CVE-2024-0914 opencryptoki: timing side-channel in handling of RSA PKCS#1 v1.5 padded ciphertexts (Marvin)
Summary: CVE-2024-0914 opencryptoki: timing side-channel in handling of RSA PKCS#1 v1....
Keywords:
Status: NEW
Alias: CVE-2024-0914
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2260408
Blocks: 2260405
TreeView+ depends on / blocked
 
Reported: 2024-01-25 22:37 UTC by Robb Gatica
Modified: 2024-04-23 14:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A timing side-channel vulnerability has been discovered in the opencryptoki package while processing RSA PKCS#1 v1.5 padded ciphertexts. This flaw could potentially enable unauthorized RSA ciphertext decryption or signing, even without access to the corresponding private key.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2024:1239 0 None None None 2024-03-07 20:37:55 UTC
Red Hat Product Errata RHSA-2024:1411 0 None None None 2024-03-19 17:30:06 UTC
Red Hat Product Errata RHSA-2024:1608 0 None None None 2024-04-02 15:55:26 UTC
Red Hat Product Errata RHSA-2024:1856 0 None None None 2024-04-16 17:22:40 UTC
Red Hat Product Errata RHSA-2024:1992 0 None None None 2024-04-23 14:06:09 UTC

Description Robb Gatica 2024-01-25 22:37:01 UTC
Description:
A timing side-channel in handling of RSA PKCS#1 v1.5 padded ciphertexts was discovered in the opencryptoki package. This side-channel can be used to perform RSA ciphertext decryption or signing without access to the private key. To achieve a successful decryption the attack would 
need to send a large amount of specifically crafted messages to a service that uses the vulnerable API.

Fixed in:
No fixed-in version yet, but a new release is expected in the next 3 weeks or so. Patches are already merged though.

References:
https://github.com/opencryptoki/opencryptoki/issues/731
https://github.com/opencryptoki/opencryptoki/pull/737
https://github.com/opencryptoki/opencryptoki/commit/2ea019ee2b09f15724d808382d53baca03403288
https://github.com/opencryptoki/opencryptoki/commit/7ffc0e135b4d923d686be536aa7bf69405a360a1
https://github.com/opencryptoki/opencryptoki/commit/c26e049bf40d656bc51429bad190b82fbf63f0c7
https://people.redhat.com/~hkario/marvin/

Comment 1 Robb Gatica 2024-01-25 22:40:18 UTC
Created openCryptoki tracking bugs for this issue:

Affects: fedora-all [bug 2260408]

Comment 4 Sandipan Roy 2024-01-31 04:49:55 UTC
This vulnerability in opencryptoki, enabling RSA ciphertext decryption or signing without the private key, is moderate due to the significant effort needed to exploit it, including sending a large number of meticulously crafted messages to a vulnerable API-utilizing service and a precise timing control.

Comment 7 errata-xmlrpc 2024-03-07 20:37:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:1239 https://access.redhat.com/errata/RHSA-2024:1239

Comment 8 errata-xmlrpc 2024-03-19 17:30:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:1411 https://access.redhat.com/errata/RHSA-2024:1411

Comment 10 errata-xmlrpc 2024-04-02 15:55:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:1608 https://access.redhat.com/errata/RHSA-2024:1608

Comment 12 errata-xmlrpc 2024-04-16 17:22:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:1856 https://access.redhat.com/errata/RHSA-2024:1856

Comment 13 errata-xmlrpc 2024-04-23 14:06:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1992 https://access.redhat.com/errata/RHSA-2024:1992


Note You need to log in before you can comment on or make changes to this bug.